<template>
  <div class="absolute inset-x-0 top-20">
    <h1 class="text-gray-900 text-3xl title-font font-medium mb-1">{{ title }}</h1>
    <div
      class="p-10 grid grid-cols-2 sm:grid-cols-3 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-7 gap-4 content-center"
    >
      <Book v-for="book in books" v-bind:key="book.id" :book="book" />
    </div>
  </div>
</template>

<script>
import { serchABookByIsbn } from "../services/bookService";
import Book from "../components/Book";
export default {
  name: "BooksCreator",

  data() {
    return {
      books: [],
      title: "",
    };
  },
  components: {
    Book,
  },

  props: {
    id: String,
  },

  async created() {
    await this.initName();
  },
  methods: {
    async initName() {
      let list = [];
      if (this.$route.params.id == 1) {
        this.title = "Les livres préférés de Clémentine";
        list.push("9782080265500");
        list.push("9782501151009");
        list.push("9782253102472");
        list.push("9782213689340");
        list.push("9782213718842");
        list.push("9782017055334");
      } else {
        this.title = "Les quelques livres de Jules";
        list.push("9782709638821");
        list.push("9780711256002");
      }

      list.forEach(async (isbn) => {
        let result = await serchABookByIsbn(isbn);
        console.log(result);
        result.items.forEach((book) => {
          if (book.volumeInfo.readingModes.text) {
            this.books.push(book);
          }
        });
      });
    },
  },
};
</script>

<style scoped></style>
